# $Revision: 1.38 $, $Date: 2009/12/14 00:24:39 $
# TODO:
# - generate initramfs image instead of ext2 (our kernels don't support ext2 anyway)
Summary:	Linux Live scripts
Summary(pl.UTF-8):	Skrypty Linux Live
Name:		linux-live
Version:	6.3.0
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.slax.org/Linux-Live/%{name}-%{version}.tar.gz
# Source0-md5:	6dbad307c4a026b6f7c37ce91f67630c
Source1:	%{name}-build.sh
Patch0:		%{name}-package.patch
URL:		http://www.linux-live.org/
Requires:	busybox
Requires:	coreutils
Requires:	e2fsprogs
Requires:	eject
Requires:	grep
Requires:	mawk
Requires:	mkisofs
Requires:	pci-database
Requires:	sed
Requires:	squashfs
Obsoletes:	linux-live-build < 6.2.4-7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib
%define		_libexecdir	%{_libdir}/%{name}
%define		_sysconfdir	/etc/%{name}
%define		__cp	cp --preserve=timestamps

# autostrip nothing and disable debug (it is suposed to be noarch)
%define		_noautoprov	lib.*\.so.* ld-linux.*\.so.*
%define		_noautoreq	%{_noautoprov}
%define		_noautostrip	.*
%define		_enable_debug_packages 0

%description
Linux Live is a set of shell scripts which allows you to create own
LiveCD from every Linux distribution. Just install your favourite
distro, remove all unnecessary files (for example man pages and all
other files which are not important for you) and then download and run
these scripts to build your custom Live Linux.

%description -l pl.UTF-8
Linux Live to zestaw skryptów powłoki pozwalających tworzyć własne
LiveCD z każdej dystrybucji Linuksa. Wystarczy zainstalować ulubioną
dystrybucję, usunąć wszystkie niepotrzebne pliki (na przykład strony
manuala i wszystkie inne nieistotne dla nas pliki), a następnie
ściągnąć i uruchomić te skrypty, aby stworzyć własnego Live Linuksa.

%prep
%setup -q
%patch0 -p1

rm -rf initrd/kernel-modules/2.6.16
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
# tools for livecd
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_sbindir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/linux-live-build
%{__cp} -p tools/liblinuxlive $RPM_BUILD_ROOT%{_libdir}
%{__cp} -a tools/{deb2lzm,dir2lzm,lzm2dir,tgz2lzm} $RPM_BUILD_ROOT%{_bindir}

# tools for building livecd
install -d $RPM_BUILD_ROOT%{_sysconfdir}
%{__cp} .config $RPM_BUILD_ROOT%{_sysconfdir}/config
install -d $RPM_BUILD_ROOT%{_libexecdir}
%{__cp} -a cd-root $RPM_BUILD_ROOT%{_libexecdir}
%{__cp} build $RPM_BUILD_ROOT%{_libexecdir}
%{__cp} install $RPM_BUILD_ROOT%{_libexecdir}
%{__cp} -a DOC $RPM_BUILD_ROOT%{_libexecdir}

# initrd
install -d $RPM_BUILD_ROOT%{_libexecdir}/initrd
install -p -m 644 initrd/{addlocaleslib,cleanup,initrd_create,linuxrc} $RPM_BUILD_ROOT%{_libexecdir}/initrd
%{__cp} -a initrd/{fuse,ntfs-3g,posixovl,rootfs} $RPM_BUILD_ROOT%{_libexecdir}/initrd
ln -s %{_libdir}/liblinuxlive $RPM_BUILD_ROOT%{_libexecdir}/initrd
ln -sf ntfs-3g $RPM_BUILD_ROOT%{_libexecdir}/initrd/ntfs-3g/usr/bin/mount.ntfs-3g

rm -rf $RPM_BUILD_ROOT%{_libexecdir}/initrd/posixovl/usr/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOC/changelog.txt DOC/requirements.txt
%attr(755,root,root) %{_sbindir}/linux-live-build
%attr(755,root,root) %{_bindir}/deb2lzm
%attr(755,root,root) %{_bindir}/dir2lzm
%attr(755,root,root) %{_bindir}/lzm2dir
%attr(755,root,root) %{_bindir}/tgz2lzm
%{_libdir}/liblinuxlive
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config
%dir %{_libexecdir}
%{_libexecdir}/DOC
%attr(755,root,root) %{_libexecdir}/build
%attr(755,root,root) %{_libexecdir}/install
%dir %{_libexecdir}/cd-root
%{_libexecdir}/cd-root/boot
%{_libexecdir}/cd-root/linux
%dir %{_libexecdir}/initrd
%{_libexecdir}/initrd/liblinuxlive
%{_libexecdir}/initrd/linuxrc
%attr(755,root,root) %{_libexecdir}/initrd/addlocaleslib
%attr(755,root,root) %{_libexecdir}/initrd/cleanup
%attr(755,root,root) %{_libexecdir}/initrd/initrd_create
%dir %{_libexecdir}/initrd/fuse
%dir %{_libexecdir}/initrd/fuse/usr
%dir %{_libexecdir}/initrd/fuse/usr/bin
%attr(755,root,root) %{_libexecdir}/initrd/fuse/usr/bin/*
%dir %{_libexecdir}/initrd/fuse/usr/lib
%attr(755,root,root) %{_libexecdir}/initrd/fuse/usr/lib/*.so*
%dir %{_libexecdir}/initrd/ntfs-3g
%dir %{_libexecdir}/initrd/ntfs-3g/usr
%dir %{_libexecdir}/initrd/ntfs-3g/usr/bin
%dir %{_libexecdir}/initrd/ntfs-3g/bin
%attr(755,root,root) %{_libexecdir}/initrd/ntfs-3g/usr/bin/*
%attr(755,root,root) %{_libexecdir}/initrd/ntfs-3g/bin/*
%dir %{_libexecdir}/initrd/ntfs-3g/usr/lib
%attr(755,root,root) %{_libexecdir}/initrd/ntfs-3g/usr/lib/*.so*
%dir %{_libexecdir}/initrd/posixovl
%dir %{_libexecdir}/initrd/posixovl/usr
%dir %{_libexecdir}/initrd/posixovl/usr/bin
%attr(755,root,root) %{_libexecdir}/initrd/posixovl/usr/bin/*
%dir %{_libexecdir}/initrd/rootfs
%dir %{_libexecdir}/initrd/rootfs/bin
%attr(755,root,root) %{_libexecdir}/initrd/rootfs/bin/*
%{_libexecdir}/initrd/rootfs/etc
%dir %{_libexecdir}/initrd/rootfs/lib
%attr(755,root,root) %{_libexecdir}/initrd/rootfs/lib/*.so*
%{_libexecdir}/initrd/rootfs/usr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux-live.spec,v $
Revision 1.38  2009/12/14 00:24:39  shadzik
- 6.3.0

Revision 1.37  2009/05/03 18:00:20  glen
- shouldn't it be regex?

Revision 1.36  2009/05/03 13:11:03  sparky
- autostrip nothing and disable debug (it is suposed to be noarch)

Revision 1.35  2009/03/16 02:49:40  tommat
- updated linux-live-package.patch
- working for me, rel 1

Revision 1.34  2009/03/05 23:44:42  shadzik
- somehow broken
- rel 0.1

Revision 1.33  2009/03/05 18:33:09  shadzik
- missing dir

Revision 1.32  2009/03/05 18:29:50  shadzik
- 6.2.9

Revision 1.31  2008/11/21 22:32:58  patrys
- no more build package
- rel 7

Revision 1.30  2008/11/18 23:51:22  patrys
- updated patch
- rel. 6

Revision 1.29  2008/10/22 10:01:38  tommat
- updated linux-live-package.parch, rel 5

Revision 1.28  2008/10/16 20:09:41  shadzik
- use install instead of cp to copy files with different mode

Revision 1.27  2008/09/09 11:23:03  patrys
- use same list for noautostrip
- rel 4

Revision 1.26  2008/09/09 11:18:50  patrys
- do not process library files as provides
- rel 3

Revision 1.25  2008/08/19 20:35:05  patrys
- 6.2.4
- merged from DEVEL

Revision 1.22.2.11  2008/08/15 20:45:08  patrys
- fix mksquashfs
- works

Revision 1.24  2007/12/15 23:23:29  glen
- initramfs!

Revision 1.23  2007-12-15 23:09:22  arekm
- add todo

Revision 1.22  2007/02/20 21:34:31  glen
- rel 1.33

Revision 1.21  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.19  2006/11/28 16:17:53  glen
- rel 1.31

Revision 1.18  2006/10/17 19:28:09  glen
- package is noarch again

Revision 1.17  2006/10/17 16:00:36  glen
- copy binaries at runtime not at package time

Revision 1.16  2006/10/13 15:34:58  glen
- single patch for easier maintenance
- deps for -build

Revision 1.15  2006/10/13 12:53:21  glen
- lib64 fix, executable bits for .sh scripts
- include DOC dir for iso

Revision 1.14  2006/10/07 13:04:52  qboosh
- pl for -build

Revision 1.13  2006/10/03 14:07:11  glen
- fix once more extra /bin/ash dep

Revision 1.12  2006/10/03 14:05:50  glen
- fixed initrd dir

Revision 1.11  2006/10/03 10:11:30  glen
- more

Revision 1.22.2.10  2008/08/15 20:05:47  patrys
- stupid me

Revision 1.22.2.9  2008/08/15 19:58:41  patrys
- fix packaging

Revision 1.22.2.8  2008/08/15 19:54:03  patrys
- 6.2.4

Revision 1.22.2.7  2007-12-17 10:44:35  glen
- add build wrapper
- skip stripping initrd files

Revision 1.22.2.6  2007-12-15 15:05:51  patrys
- package more files

Revision 1.22.2.5  2007-12-14 18:06:59  patrys
- better packaging

Revision 1.22.2.4  2007-12-14 17:55:54  patrys
- updated

Revision 1.22.2.3  2007-12-14 16:27:23  patrys
- builds

Revision 1.22.2.2  2007-12-13 17:05:36  glen
- 6.1.5 tarball

Revision 1.22.2.1  2007-12-13 17:03:26  glen
- 6.1.4, just tarball
